Create a recurring digest from a feed or a connected WordPress site
package main
import ( "fmt" "strings" "net/http" "io")
func main() {
url := "https://reputecast.example.com/api/v1/workspaces/acme-newsletter/digests"
payload := strings.NewReader("{ \"feedUrl\": \"example\", \"name\": \"example\", \"siteId\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"source\": \"url\" }")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>") req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close() body, _ := io.ReadAll(res.Body)
fmt.Println(res) fmt.Println(string(body))
}const url = 'https://reputecast.example.com/api/v1/workspaces/acme-newsletter/digests';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"feedUrl":"example","name":"example","siteId":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","source":"url"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/digests \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "feedUrl": "example", "name": "example", "siteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "source": "url" }'Permission: campaigns:edit
The digest starts off, with the Blog digest template, the workspace’s default sender and its time zone. Without campaigns:send it starts in draft mode.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Workspace slug
Workspace slug
Request Bodyrequired
Section titled “Request Bodyrequired”object
Responses
Section titled “Responses”Created
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
object
Example
{ "feed": { "kind": "rss", "status": "unread" }, "filters": { "startMode": "after_on" }, "mode": "auto", "next": { "holdReason": "readiness", "items": [ { "leftOutBy": "category", "status": "new" } ], "status": "collecting" }, "pause": { "reason": "person" }, "schedule": { "frequency": "daily", "monthRule": "day", "time": "08:00", "timezone": "America/New_York" }, "site": { "status": "ok" }, "source": "url", "state": "off", "thresholds": { "scope": "route" }}default
Section titled “default”Error
object
Stable error code, e.g. permission_denied
A human-readable explanation specific to this occurrence of the problem.
Optional list of individual error details
object
Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’
Error message text
The value at the given location
Members who hold the missing permission
A URI reference that identifies the specific occurrence of the problem.
object
The missing permission key
HTTP status code
A short, human-readable summary of the problem type. This value should not change between occurrences of the error.
A URI reference to human-readable documentation for the error.
Example
{ "detail": "Property foo is required but is missing.", "instance": "https://example.com/error-log/abc123", "status": 400, "title": "Bad Request", "type": "about:blank"}